Commit b11f2816 authored by Michael Natterer's avatar Michael Natterer 😴 Committed by Michael Natterer

make autoconf check more robust and the generic "Tool old" error message

2006-01-29  Michael Natterer  <mitch@gimp.org>

	* autogen.sh: make autoconf check more robust and the generic
	"Tool old" error message more verbose.
parent a77d6ed6
2006-01-29 Michael Natterer <mitch@gimp.org>
* autogen.sh: make autoconf check more robust and the generic
"Tool old" error message more verbose.
2006-01-29 Akkana Peck <akkana@cvs.gnome.org>
* configure.in: Print a table of features enabled/disabled
......
......@@ -35,10 +35,10 @@ cd $srcdir
check_version ()
{
if expr $1 \>= $2 > /dev/null; then
if expr "$1" \>= "$2" > /dev/null; then
echo "yes (version $1)"
else
echo "Too old (found version $1)!"
echo "Too old (found version [$1] expected [$2])"
DIE=1
fi
}
......@@ -113,7 +113,7 @@ fi
echo -n "checking for autoconf >= $AUTOCONF_REQUIRED_VERSION ... "
if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1; then
VER=`$AUTOCONF --version \
VER=`$AUTOCONF --version | head -1 \
| grep -iw autoconf | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
check_version $VER $AUTOCONF_REQUIRED_VERSION
else
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment